as.gps {oce} | R Documentation

## Coerce data into a GPS dataset

### Description

Coerces a sequence of longitudes and latitudes into a GPS dataset. This may be used when `read.gps` cannot read a file, or when the data have been manipulated.

### Usage

    as.gps(longitude, latitude, filename = "")

### Arguments

`longitude` | the longitude in decimal degrees, positive east of Greenwich, or a data frame with columns named `latitude` and `longitude`, in which case these values are extracted from the data frame and the second argument is ignored.
`latitude` | the latitude in decimal degrees, positive north of the Equator.
`filename` | name of file containing data (if applicable).

### Value

An object of `gps-class`.

### Author(s)

Dan Kelley

### See Also

Other things related to `gps` data: `[[,gps-method`, `[[<-,gps-method`, `gps-class`, `plot,gps-method`, `read.gps`, `summary,gps-method`

[Package oce version 0.9-22 Index]